Results 1 to 6 of 6

Thread: MTA not starting

  1. #1
    Join Date
    Feb 2006
    Posts
    3
    Rep Power
    9

    Default MTA not starting

    I have attempted the install on FC4 I've actually installed removed and reinstalled after disabling/removing some FC4 services as recommended in other posts. I nearly have the open source zimbra fully launching but the MTA won't start.

    ost spitfire.eatmyhamster.com
    Starting ldap...Done.
    Starting antispam...Done.
    Starting antivirus...Done.
    Starting logger...Done.
    Starting mailbox...Done.
    Starting mta...FAILED
    getService: sasl
    getService: webxml
    getService: perdition
    DO: /opt/zimbra/postfix/sbin/postconf -e content_filter='smtp-amavis:[127.0.0.1]:10024'
    DO: /opt/zimbra/postfix/sbin/postconf -e myhostname='spitfire.eatmyhamster.com'
    DO: /opt/zimbra/postfix/sbin/postconf -e recipient_delimiter=''
    DO: /opt/zimbra/postfix/sbin/postconf -e smtpd_sasl_auth_enable='yes'
    DO: /opt/zimbra/postfix/sbin/postconf -e smtpd_tls_auth_only='yes'
    DO: /opt/zimbra/postfix/sbin/postconf -e disable_dns_lookups='no'
    DO: /opt/zimbra/postfix/sbin/postconf -e message_size_limit='10240000'
    DO: /opt/zimbra/postfix/sbin/postconf -e relayhost=''
    DO: /opt/zimbra/postfix/sbin/postconf -e smtpd_recipient_restrictions='reject_non_fqdn_reci pient, permit_sasl_authenticated, permit_mynetworks, reject_invalid_hostname, reject_non_fqdn_sender, reject_unauth_destination, permit'
    /opt/zimbra/cyrus-sasl-2.1.21.ZIMBRA/sbin/saslauthd: error while loading shared libraries: libkrb5support.so.0: cannot open shared object file: No such file or directory

    I've tried doing some googling and looked at various posts but I coudn't find much more information.

    zimbra.log doesn't contain any useful information that i can see and my hosts file has the two lines as specified.

    Any help appreciated,
    Matt.

  2. #2
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    14

    Default missing package

    [zimbra@wolfowitz ~]$ ldd cyrus-sasl/sbin/saslauthd
    linux-gate.so.1 => (0x00c4d000)
    libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00101000)
    libz.so.1 => /usr/lib/libz.so.1 (0x00c23000)
    libpthread.so.0 => /lib/tls/libpthread.so.0 (0x00cfe000)
    libm.so.6 => /lib/tls/libm.so.6 (0x00bfe000)
    libcurl.so.3 => /usr/lib/libcurl.so.3 (0x001f6000)
    libssl.so.4 => /lib/libssl.so.4 (0x00d79000)
    libcrypto.so.4 => /lib/libcrypto.so.4 (0x00224000)
    libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00ccb000)
    libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00d12000)
    libcom_err.so.2 => /lib/libcom_err.so.2 (0x00ca3000)
    libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00ca8000)
    libresolv.so.2 => /lib/libresolv.so.2 (0x00c8d000)
    libdl.so.2 => /lib/libdl.so.2 (0x00bf8000)
    libidn.so.11 => /usr/lib/libidn.so.11 (0x0030d000)
    libcrypt.so.1 => /lib/libcrypt.so.1 (0x0033d000)
    libpam.so.0 => /lib/libpam.so.0 (0x00ce1000)
    libc.so.6 => /lib/tls/libc.so.6 (0x00acb000)
    /lib/ld-linux.so.2 (0x00ab1000)


    [zimbra@wolfowitz ~]$ rpm -qf /usr/lib/libkrb5.so.3
    krb5-libs-1.3.6-7

    So, install the kerberos libraries, and sasl should start fine.

  3. #3
    Join Date
    Feb 2006
    Posts
    3
    Rep Power
    9

    Default missing package

    I should have said, I already tried this:

    > yum search kerberos
    krb5-libs.i386 1.3.6-7 installed

    > yum provides libkrb5support
    No Matches found

    Any idea what kerberos related package or version should be installed?

  4. #4
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    14

    Default ldd

    run the ldd command on saslauthd and find out what it's missing.

    If the krb-libs are installed, rpm -ql will give you a list of files in the package.

  5. #5
    Join Date
    Feb 2006
    Posts
    3
    Rep Power
    9

    Default Missing Lib

    Very sorry- stupid error.

    For anyone else reading this thread, this is an error you get if you accidentily try to install the zimbra FC4 release onto FC3.

  6. #6
    Join Date
    Jul 2006
    Posts
    11
    Rep Power
    9

    Default

    For anyone else struggling with this....

    On CentOS4.4 x86_64 i ran into this same error. after going around in circles for a while I figured it out.

    For some reason I wound up with libcurl installed but not libcurl 64.

    yum install curl.x86_64
    yum install curl-devel.x86_64

    then

    su - zimbra
    zmcontrol stop && zmcontrol start &&


    everything looks ship shape.

Similar Threads

  1. Daily mail report always reports "No messages found"
    By McPringle in forum Installation
    Replies: 42
    Last Post: 06-13-2011, 09:57 AM
  2. Is it started or not
    By kwelipatton in forum Installation
    Replies: 10
    Last Post: 03-28-2006, 11:11 PM
  3. starting mta...FAILED
    By timjenne in forum Installation
    Replies: 1
    Last Post: 02-08-2006, 07:09 PM
  4. Zimbra MTA died and won't restart
    By lallhands in forum Installation
    Replies: 3
    Last Post: 01-19-2006, 01:31 PM
  5. Zimbra on Debian?
    By omry_y in forum Installation
    Replies: 25
    Last Post: 11-04-2005, 11:36 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •